## org.bn.compiler.parser.model
Class OperationMacro

    java.lang.Object
      org.bn.compiler.parser.model.OperationMacro

    public class OperationMacro

extends java.lang.Object

Field Summary
`java.lang.String` `argumentName`
`java.lang.Object` `argumentType`
`java.lang.String` `argumentTypeIdentifier`
`java.util.ArrayList` `errorList`
`boolean` `isArgumentName`
`boolean` `isErrors`
`boolean` `isLinkedOperation`
`boolean` `isResult`
`boolean` `isResultName`
`java.util.ArrayList` `linkedOpList`
`java.lang.String` `name`
`java.lang.String` `resultName`
`java.lang.Object` `resultType`
`java.lang.String` `resultTypeIdentifier`

Constructor Summary
`OperationMacro()`

Method Summary
`java.lang.String` `get_firstLinkedOpName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### argumentName

    public java.lang.String argumentName

### argumentType

    public java.lang.Object argumentType

### argumentTypeIdentifier

    public java.lang.String argumentTypeIdentifier

### errorList

    public java.util.ArrayList errorList

### isArgumentName

    public boolean isArgumentName

### isErrors

    public boolean isErrors

### isLinkedOperation

    public boolean isLinkedOperation

### isResult

    public boolean isResult

### isResultName

    public boolean isResultName

### linkedOpList

    public java.util.ArrayList linkedOpList

### name

    public java.lang.String name

### resultName

    public java.lang.String resultName

### resultType

    public java.lang.Object resultType

### resultTypeIdentifier

    public java.lang.String resultTypeIdentifier

Constructor Detail

### OperationMacro

    public OperationMacro()

Method Detail

### get_firstLinkedOpName

    public java.lang.String get_firstLinkedOpName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`